Bug 995136 - dwz assertion on -m for golang-produced binaries
Summary: dwz assertion on -m for golang-produced binaries
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: dwz
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:130c171d3a1254fb56fcecabe42...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-08 15:32 UTC by Hans de Goede
Modified: 2019-03-07 14:26 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
File: backtrace (9.08 KB, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: cgroup (139 bytes, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: core_backtrace (2.70 KB, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: dso_list (309 bytes, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: environ (4.33 KB, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: maps (2.19 KB, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: open_fds (663 bytes, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: proc_pid_status (919 bytes, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
File: var_log_messages (211 bytes, text/plain)
2013-08-08 15:33 UTC, Hans de Goede
no flags Details
2 golang-built binaries reproducing this assertion crash (733.96 KB, application/octet-stream)
2015-01-20 19:47 UTC, Jan Kratochvil
no flags Details
2 golang-built binaries reproducing this assertion crash - real reproducer now (3.38 MB, application/octet-stream)
2015-02-15 13:34 UTC, Jan Kratochvil
no flags Details

Description Hans de Goede 2013-08-08 15:32:56 UTC
Description of problem:
I was building fpc using fedpkg.

Version-Release number of selected component:
dwz-0.11-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        dwz -h -q -r -m .dwz/fpc-2.6.2-3.fc20.x86_64 -l 10000000 -L 110000000 ./usr/lib64/fpc/2.6.2/ppcx64.debug ./usr/bin/pyacc.debug ./usr/bin/bin2obj.debug ./usr/bin/fprcp.debug ./usr/bin/fpcres.debug ./usr/bin/fpc.debug ./usr/bin/grab_vcsa.debug ./usr/bin/fp.debug ./usr/bin/ppufiles.debug ./usr/bin/rmcvsdir.debug ./usr/bin/fpclasschart.debug ./usr/bin/makeskel.debug ./usr/bin/instantfpc.debug ./usr/bin/unitdiff.debug ./usr/bin/h2pas.debug ./usr/bin/h2paspp.debug ./usr/bin/fpcsubst.debug ./usr/bin/fpcmkcfg.debug ./usr/bin/mkx86ins.debug ./usr/bin/ppudump.debug ./usr/bin/mkarmins.debug ./usr/bin/ppumove.debug ./usr/bin/fpcmake.debug ./usr/bin/data2inc.debug ./usr/bin/ppdep.debug ./usr/bin/rstconv.debug ./usr/bin/delp.debug ./usr/bin/postw32.debug ./usr/bin/fppkg.debug ./usr/bin/ptop.debug ./usr/bin/fpdoc.debug ./usr/bin/plex.debug
crash_function: __assert_fail_base
executable:     /usr/bin/dwz
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            500

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 __assert_fail_base at assert.c:92
 #3 __assert_fail at assert.c:101
 #4 checksum_die at dwz.c:1981
 #6 read_debug_info at dwz.c:5092
 #7 read_dwarf at dwz.c:9943
 #8 dwz at dwz.c:10978

Comment 1 Hans de Goede 2013-08-08 15:33:04 UTC
Created attachment 784451 [details]
File: backtrace

Comment 2 Hans de Goede 2013-08-08 15:33:09 UTC
Created attachment 784452 [details]
File: cgroup

Comment 3 Hans de Goede 2013-08-08 15:33:13 UTC
Created attachment 784453 [details]
File: core_backtrace

Comment 4 Hans de Goede 2013-08-08 15:33:17 UTC
Created attachment 784454 [details]
File: dso_list

Comment 5 Hans de Goede 2013-08-08 15:33:20 UTC
Created attachment 784455 [details]
File: environ

Comment 6 Hans de Goede 2013-08-08 15:33:24 UTC
Created attachment 784456 [details]
File: limits

Comment 7 Hans de Goede 2013-08-08 15:33:29 UTC
Created attachment 784457 [details]
File: maps

Comment 8 Hans de Goede 2013-08-08 15:33:32 UTC
Created attachment 784458 [details]
File: open_fds

Comment 9 Hans de Goede 2013-08-08 15:33:36 UTC
Created attachment 784459 [details]
File: proc_pid_status

Comment 10 Hans de Goede 2013-08-08 15:33:39 UTC
Created attachment 784460 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-01-09 19:21:23 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Jan Kratochvil 2015-01-20 19:45:44 UTC
dwz-0.11-4.fc22.x86_64

$ dwz -m multi etcdbins/*
dwz: dwz.c:1984: checksum_die: Assertion `((!(multifile_mode & MULTIFILE_MODE_OP) && !(multifile_mode & MULTIFILE_MODE_RD) && !(multifile_mode & MULTIFILE_MODE_FI)) || cu != die_cu (ref)) && (!(multifile_mode & MULTIFILE_MODE_OP) || cu->cu_chunk == die_cu (ref)->cu_chunk)' failed.
Aborted

Comment 13 Jan Kratochvil 2015-01-20 19:47:58 UTC
Created attachment 982007 [details]
2 golang-built binaries reproducing this assertion crash

Comment 14 Jan Kratochvil 2015-02-15 13:34:43 UTC
Created attachment 991931 [details]
2 golang-built binaries reproducing this assertion crash - real reproducer now

dwz-0.11-4.fc22.x86_64
dwz -m multi etcdbins/etcd etcdbins/etcdctl

dwz: dwz.c:1984: checksum_die: Assertion `((!(multifile_mode & MULTIFILE_MODE_OP) && !(multifile_mode & MULTIFILE_MODE_RD) && !(multifile_mode & MULTIFILE_MODE_FI)) || cu != die_cu (ref)) && (!(multifile_mode & MULTIFILE_MODE_OP) || cu->cu_chunk == die_cu (ref)->cu_chunk)' failed.

Comment 15 Jaroslav Reznik 2015-03-03 14:59:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 16 Mairi Dulaney 2016-04-24 16:51:58 UTC
Is this still a thing?

Comment 17 Jan Kratochvil 2016-04-24 20:03:46 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=13787508
  dwz-0.12-2.fc24.x86_64.rpm
  golang-1.6.1-1.fc25.x86_64.rpm

Comment 18 Jan Kurik 2016-07-26 04:21:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 19 Fedora End Of Life 2017-02-28 09:34:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 20 Mattia Verga 2017-10-02 19:17:22 UTC
Wow, a 4 years old bug without a single comment from the package maintainer... nice.

extracting debug info from /home/rpmbuild/rpmbuild/BUILDROOT/skychart-4.1-1.fc28.x86_64/usr/bin/skychart
dwz: dwz.c:1984: checksum_die: Assertion `((!op_multifile && !rd_multifile && !fi_multifile) || cu != die_cu (ref)) && (!op_multifile || cu->cu_chunk == die_cu (ref)->cu_chunk)' failed.
/usr/lib/rpm/find-debuginfo.sh: line 518: 16661 Aborted                 (core dumped) dwz $dwz_opts ${dwz_files[@]}

Comment 21 Fedora End Of Life 2018-02-20 15:33:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 22 Jan Kurik 2018-08-14 10:24:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 23 Tom de Vries 2019-03-07 14:26:09 UTC
Upstream PR: https://sourceware.org/bugzilla/show_bug.cgi?id=24170


Note You need to log in before you can comment on or make changes to this bug.